
ChiliProject - Bug # 610: lib/bundler/dsl.rb:41:in `gemspec': There are no gemspecs at 
/home/ccnet/chiliproject-v2.2.0. (Bundler::InvalidOption)
Affected version:
Description: Hello,

in a fresh Chilliproject 2.2.0 install on Ubuntu 11.04 i get following error:

<pre>
Error message:
    /home/ccnet/.gem/ruby/1.8/gems/bundler-1.0.18/lib/bundler/dsl.rb:41:in `gemspec': There are no gemspecs 
at /home/ccnet/chiliproject-v2.2.0. (Bundler::InvalidOption)
Exception class:
    PhusionPassenger::UnknownError

Backtrace:
    # 	File 	Line 	Location
    0 	/home/ccnet/chiliproject-v2.2.0/Gemfile 	89 	in `evaluate'
    1 	(eval) 	3 	in `evaluate'
    2 	/home/ccnet/chiliproject-v2.2.0/Gemfile 	87 	in `glob'
    3 	/home/ccnet/chiliproject-v2.2.0/Gemfile 	87 	in `evaluate'
    4 	/home/ccnet/.gem/ruby/1.8/gems/bundler-1.0.18/lib/bundler/definition.rb 	17 	in `build'
    5 	/home/ccnet/.gem/ruby/1.8/gems/bundler-1.0.18/lib/bundler.rb 	136 	in `definition'
    6 	/home/ccnet/.gem/ruby/1.8/gems/bundler-1.0.18/lib/bundler.rb 	124 	in `load'
    7 	/home/ccnet/.gem/ruby/1.8/gems/bundler-1.0.18/lib/bundler.rb 	107 	in `setup'
    8 	/home/ccnet/chiliproject-v2.2.0/config/preinitializer.rb 	29 	
    9 	/usr/lib/ruby/1.8/rubygems/custom_require.rb 	31 	in `gem_original_require'
    10 	/usr/lib/ruby/1.8/rubygems/custom_require.rb 	31 	in `require'
    11 	/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb 	301 	in `preload_application'
    12 	/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb 	252 	in `initialize_server'
    13 	/usr/lib/ruby/1.8/phusion_passenger/utils.rb 	255 	in `report_app_init_status'
    14 	/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb 	237 	in `initialize_server'
    15 	/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb 	194 	in `start_synchronously'
    16 	/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb 	163 	in `start'
    17 	/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb 	213 	in `start'
    18 	/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb 	262 	in `spawn_rails_application'
    19 	/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb 	126 	in `lookup_or_add'
    20 	/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb 	256 	in `spawn_rails_application'
    21 	/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb 	80 	in `synchronize'
    22 	/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb 	79 	in `synchronize'
    23 	/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb 	255 	in `spawn_rails_application'
    24 	/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb 	154 	in `spawn_application'
    25 	/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb 	287 	in `handle_spawn_application'
    26 	/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb 	352 	in `__send__'
    27 	/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb 	352 	in `main_loop'
    28 	/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb 	196 	in `start_synchronously'
    29 	/usr/lib/phusion_passenger/passenger-spawn-server 	61 	
</pre>
History
2011-09-06 08:45 am - Felix Schäfer
Please shortly describe your installation steps until then: Do you have bundler installed? Have you installed the provided bundle? Do you use stock ruby 
or another one? With rvm or plain? Do you use the ubuntu gems or did you roll your own gemset?

2011-09-07 03:17 am - Justin Geibel
- Target version changed from 2.2.0 to 2.3.0

Daniel,

Do you have any plugins installed?  This part of the code is searching ./vendor/plugins/*/Gemfile and including any gems needed by the plugin.  With a 
default install, I have no additional Gemfiles under vendor.

You are probably using a plugin that expects to be loaded as a gem (rather than via a copy in /vendor/plugins).

2011-09-08 09:20 am - Daniel Nauck
- Status changed from Open to Declined

Justin Geibel wrote:
> Daniel,
> 
> Do you have any plugins installed?  This part of the code is searching ./vendor/plugins/*/Gemfile and including any gems needed by the plugin.  With 
a default install, I have no additional Gemfiles under vendor.
> 
> You are probably using a plugin that expects to be loaded as a gem (rather than via a copy in /vendor/plugins).

You're right. It was the ReCaptcha plugin thats again not compatible with chiliproject :(

2011-09-08 09:24 am - Holger Just
- Target version deleted (2.3.0)

2011-10-26 04:50 pm - Shane StClair
I'm trying to update redmine_recaptcha to work with ChiliProject and running into this problem. If anyone has a tip or resource on converting gem 
plugins to compatible plugins, I'd appreciate it.

2011-10-26 05:18 pm - Felix Schäfer
Shane, Justin already made out a possible cause for the problem:

Justin Geibel wrote:
> You are probably using a plugin that expects to be loaded as a gem (rather than via a copy in /vendor/plugins).

Anyway, this issue is closed and not the right place to ask for help with this.

The plugin author/maintainer would be most apt to help you with this, you might find help on the forums, but as it's not part of ChiliProject core, we 
won't support it through issues here, sorry.
